/**
 * Elastic Email REST API
 * This API is based on the REST API architecture, allowing the user to easily manage their data with this resource-based approach.    Every API call is established on which specific request type (GET, POST, PUT, DELETE) will be used.    The API has a limit of 20 concurrent connections and a hard timeout of 600 seconds per request.    To start using this API, you will need your Access Token (available <a target=\"_blank\" href=\"https://elasticemail.com/account#/settings/new/manage-api\">here</a>). Remember to keep it safe. Required access levels are listed in the given request’s description.    Downloadable library clients can be found in our Github repository <a target=\"_blank\" href=\"https://github.com/ElasticEmail?tab=repositories&q=%22rest+api%22+in%3Areadme\">here</a>
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: support@elasticemail.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
export declare type AccessLevel = 'None' | 'ViewAccount' | 'ViewContacts' | 'ViewForms' | 'ViewTemplates' | 'ViewCampaigns' | 'ViewChannels' | 'ViewAutomations' | 'ViewSurveys' | 'ViewSettings' | 'ViewBilling' | 'ViewSubAccounts' | 'ViewUsers' | 'ViewFiles' | 'ViewReports' | 'ModifyAccount' | 'ModifyContacts' | 'ModifyForms' | 'ModifyTemplates' | 'ModifyCampaigns' | 'ModifyChannels' | 'ModifyAutomations' | 'ModifySurveys' | 'ModifyFiles' | 'Export' | 'SendSmtp' | 'SendSMS' | 'ModifySettings' | 'ModifyBilling' | 'ModifyProfile' | 'ModifySubAccounts' | 'ModifyUsers' | 'Security' | 'ModifyLanguage' | 'ViewSupport' | 'SendHttp' | 'Modify2FA' | 'ModifySupport' | 'ViewCustomFields' | 'ModifyCustomFields' | 'ModifyWebNotifications' | 'ExtendedLogs' | 'VerifyEmails' | 'ViewEmailVerifications' | 'ViewMarketing' | 'ViewEmailApi' | 'DisableContactsStore' | 'ModifyLandingPages' | 'ViewLandingPages' | 'ModifySuppressions' | 'ViewSuppressions';
export declare const AccessLevel: {
    None: AccessLevel;
    ViewAccount: AccessLevel;
    ViewContacts: AccessLevel;
    ViewForms: AccessLevel;
    ViewTemplates: AccessLevel;
    ViewCampaigns: AccessLevel;
    ViewChannels: AccessLevel;
    ViewAutomations: AccessLevel;
    ViewSurveys: AccessLevel;
    ViewSettings: AccessLevel;
    ViewBilling: AccessLevel;
    ViewSubAccounts: AccessLevel;
    ViewUsers: AccessLevel;
    ViewFiles: AccessLevel;
    ViewReports: AccessLevel;
    ModifyAccount: AccessLevel;
    ModifyContacts: AccessLevel;
    ModifyForms: AccessLevel;
    ModifyTemplates: AccessLevel;
    ModifyCampaigns: AccessLevel;
    ModifyChannels: AccessLevel;
    ModifyAutomations: AccessLevel;
    ModifySurveys: AccessLevel;
    ModifyFiles: AccessLevel;
    Export: AccessLevel;
    SendSmtp: AccessLevel;
    SendSms: AccessLevel;
    ModifySettings: AccessLevel;
    ModifyBilling: AccessLevel;
    ModifyProfile: AccessLevel;
    ModifySubAccounts: AccessLevel;
    ModifyUsers: AccessLevel;
    Security: AccessLevel;
    ModifyLanguage: AccessLevel;
    ViewSupport: AccessLevel;
    SendHttp: AccessLevel;
    Modify2Fa: AccessLevel;
    ModifySupport: AccessLevel;
    ViewCustomFields: AccessLevel;
    ModifyCustomFields: AccessLevel;
    ModifyWebNotifications: AccessLevel;
    ExtendedLogs: AccessLevel;
    VerifyEmails: AccessLevel;
    ViewEmailVerifications: AccessLevel;
    ViewMarketing: AccessLevel;
    ViewEmailApi: AccessLevel;
    DisableContactsStore: AccessLevel;
    ModifyLandingPages: AccessLevel;
    ViewLandingPages: AccessLevel;
    ModifySuppressions: AccessLevel;
    ViewSuppressions: AccessLevel;
};
