/**
 * Elastic Email REST API
 * This API is based on the REST API architecture, allowing the user to easily manage their data with this resource-based approach.    Every API call is established on which specific request type (GET, POST, PUT, DELETE) will be used.    The API has a limit of 20 concurrent connections and a hard timeout of 600 seconds per request.    To start using this API, you will need your Access Token (available <a target=\"_blank\" href=\"https://elasticemail.com/account#/settings/new/manage-api\">here</a>). Remember to keep it safe. Required access levels are listed in the given request’s description.    Downloadable library clients can be found in our Github repository <a target=\"_blank\" href=\"https://github.com/ElasticEmail?tab=repositories&q=%22rest+api%22+in%3Areadme\">here</a>
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: support@elasticemail.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { Utm } from './utm';
/**
 * Content of a Campaign
 */
export interface CampaignTemplate {
    /**
     * Name of your custom IP Pool to be used in the sending process
     */
    Poolname?: string;
    /**
     * Your e-mail with an optional name (e.g.: John Doe <email@domain.com>)
     */
    From?: string;
    /**
     * To what address should the recipients reply to (e.g. John Doe <email@domain.com>)
     */
    ReplyTo?: string;
    /**
     * Default subject of email.
     */
    Subject?: string;
    /**
     * Name of template.
     */
    TemplateName?: string;
    /**
     * Names of previously uploaded files that should be sent as downloadable attachments
     */
    AttachFiles?: Array<string>;
    Utm?: Utm;
}
