/**
 * Elastic Email REST API
 * This API is based on the REST API architecture, allowing the user to easily manage their data with this resource-based approach.    Every API call is established on which specific request type (GET, POST, PUT, DELETE) will be used.    The API has a limit of 20 concurrent connections and a hard timeout of 600 seconds per request.    To start using this API, you will need your Access Token (available <a target=\"_blank\" href=\"https://elasticemail.com/account#/settings/new/manage-api\">here</a>). Remember to keep it safe. Required access levels are listed in the given request’s description.    Downloadable library clients can be found in our Github repository <a target=\"_blank\" href=\"https://github.com/ElasticEmail?tab=repositories&q=%22rest+api%22+in%3Areadme\">here</a>
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: support@elasticemail.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
export interface ContactActivity {
    /**
     * Total emails sent.
     */
    TotalSent?: number;
    /**
     * Total emails opened.
     */
    TotalOpened?: number;
    /**
     * Total emails clicked
     */
    TotalClicked?: number;
    /**
     * Total emails failed.
     */
    TotalFailed?: number;
    /**
     * Last date when an email was sent to this contact
     */
    LastSent?: string | null;
    /**
     * Date this contact last opened an email
     */
    LastOpened?: string | null;
    /**
     * Date this contact last clicked an email
     */
    LastClicked?: string | null;
    /**
     * Last date when an email sent to this contact bounced
     */
    LastFailed?: string | null;
    /**
     * IP from which this contact opened or clicked their email last time
     */
    LastIP?: string;
    /**
     * Last RFC Error code if any occurred
     */
    ErrorCode?: number | null;
    /**
     * Last RFC error message if any occurred
     */
    FriendlyErrorMessage?: string;
}
